APIPosts

Create a Post

Upload a video to one or more connected platforms. **Video Requirements:** - Format: MP4, MOV, or other common video formats - Size: Maximum 500MB - Duration: 3-90 seconds - Orientation: Vertical (9:16) **Scheduling:** - Pass `scheduled` as a Unix timestamp in milliseconds for scheduled posting (omit this parameter if you don't want to schedule)

POST
/post

Upload a video to one or more connected platforms.

Video Requirements:

  • Format: MP4, MOV, or other common video formats
  • Size: Maximum 500MB
  • Duration: 3-90 seconds
  • Orientation: Vertical (9:16)

Scheduling:

  • Pass scheduled as a Unix timestamp in milliseconds for scheduled posting (omit this parameter if you don't want to schedule)

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/post" \  -F video="string" \  -F platforms="[    \"string\"  ]"
{  "success": true,  "historyId": "64f000000000000000000001",  "scheduled": false,  "date": "2026-06-10T10:00:00.000Z",  "result": [    {      "platformId": "64f000000000000000000002",      "status": "PENDING"    }  ]}
{  "success": false}
{  "success": false}
{  "success": false}